org.firebirdsql.jaybird.parser

## Interface VisitorRegistrar

All Known Implementing Classes:
  SqlParser

    @InternalApi
    public interface VisitorRegistrar

Registrar for visitors that allows runtime removal or addition of visitors.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addVisitor(TokenVisitor tokenVisitor)` Adds a visitor.
`void` `removeVisitor(TokenVisitor tokenVisitor)` Removes a visitor - if already registered.

### Method Detail

#### addVisitor

    void addVisitor(TokenVisitor tokenVisitor)

Adds a visitor.

Parameters:
  `tokenVisitor` - Token visitor

#### removeVisitor

    void removeVisitor(TokenVisitor tokenVisitor)

Removes a visitor - if already registered.

Parameters:
  `tokenVisitor` - Token visitor